Bug 122527 - Need 'printing = cups' and 'cups options = raw'
Need 'printing = cups' and 'cups options = raw'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-05 11:07 EDT by Tim Waugh
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-22 07:01:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2004-05-05 11:07:57 EDT
Description of problem:
The shipped smb.conf file should have these lines added:

  printing = cups
  cups options = raw

Version-Release number of selected component (if applicable):
samba-3.0.3-4

For rationale see:
http://www.redhat.com/archives/fedora-list/2004-May/msg00932.html

The thread starts here about here:
http://www.redhat.com/archives/fedora-list/2004-May/msg00369.html

Briefly: jobs received from Windows have already been rasterized, and
so need to be given to CUPS as application/octet-stream.  However,
this mime-type is rejected by default to avoid accidently printing an
unrecognized mime-type.

But SAMBA can set the 'raw' option to bypass this mechanism -- and it
should.
Comment 1 Mark J. Cox (Product Security) 2004-07-22 07:01:04 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-259.html

Note You need to log in before you can comment on or make changes to this bug.